package com.trs.web2frame.tool.tyjyh.tonglaozheng;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.read.listener.PageReadListener;
import com.alibaba.fastjson.JSON;
import com.trs.cms.CMSConstants;
import com.trs.web2frame.WCMServiceCaller;
import com.trs.web2frame.dispatch.Dispatch;
import com.trs.web2frame.tool.tyjyh.Log_Exception;
import com.trs.web2frame.tool.tyjyh.tongliao.DemoDataJiGou;
import com.trs.web2frame.tool.tyjyh.tongliao.DocumentData;
import com.trs.web2frame.tool.tyjyh.tongliao.DocumentDataStr;
import com.trs.web2frame.tool.tyjyh.tongliao.JsoupUtils;
import net.sf.json.JSONObject;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.*;

/**
 * ͼ
 */
public class ViewMove3 {

    public static void main(String[] args) {
       ServiceImplKp serviceImplKp = new ServiceImplKp();
        serviceImplKp.orderBy("11541");

    }

    public static void move(){
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        List<Map<String, Object>> maps = serviceImplKp.GetKpMEMOListAll();
        for (Map<String, Object> map : maps) {
            String manuscript_id = map.get("manuscript_id").toString();
            String title = map.get("title").toString();
            String channel_id_kp = map.get("channel_id_kp").toString();
            String channel_name_kp = map.get("channel_name_kp").toString();
            String channel_id_hy = map.get("channel_id_hy").toString();
            String channel_name_hy = map.get("channel_name_hy").toString();
            ViewMove viewMove = new ViewMove();
            if(manuscript_id != null && manuscript_id != ""){
                if(channel_id_hy != null && channel_id_hy != ""){
                    viewMove.DataZhiXunByChannelOne(channel_id_hy,manuscript_id);
                }
            }
        }
    }

    public static void groupBy(){
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        List<Map<String, Object>> maps = serviceImplKp.GetKpMEMOListAll();
        for (Map<String, Object> map : maps) {
            String manuscript_id = map.get("manuscript_id").toString();
            String title = map.get("title").toString();
            String channel_id_kp = map.get("channel_id_kp").toString();
            String channel_name_kp = map.get("channel_name_kp").toString();
            String channel_id_hy = map.get("channel_id_hy").toString();
            String channel_name_hy = map.get("channel_name_hy").toString();
            ViewMove viewMove = new ViewMove();
            if(manuscript_id != null && manuscript_id != ""){
                if(channel_id_hy != null && channel_id_hy != ""){
                    ServiceImplKp serviceImplKp111111111=new ServiceImplKp();
                    serviceImplKp111111111.orderBy(channel_id_hy);
                }
            }
        }
    }
    /**
     * Ѷͼ
     * @param kpChannelId
     * @param hyChannelId
     */
    public void DataZhiXunByChannel(String kpChannelId,String hyChannelId){
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelId + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInWeb";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        try {
            List<Map<String,Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromKPDB(kpChannelId);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    System.out.println("------------------------------------------------------------");
                    Map<String,Object> oPostData=new HashMap<>();
                    oPostData.put("ObjectId", 0);
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("isShenhe", "1");
                    oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_HTML);
                    DocumentData documentData = new DocumentData(map);
                    System.out.println(documentData);
                    //-
                    if (documentData.getTitle() != null && documentData.getTitle() != "null") {
                        /*String text = Jsoup.parse(documentData.getTitle()).text();
                        int ff = text.indexOf("չ滮");
                        if(ff >= 0){
                            continue;
                        }*/
                        oPostData.put("DOCTITLE", Jsoup.parse(documentData.getTitle()).text()  );
                    }
                    //
                    if (documentData.getSubTitle() != null && documentData.getSubTitle() != "null") {
                        oPostData.put("SUBDOCTITLE",Jsoup.parse(documentData.getSubTitle()).text() );
                    }
                    //̱
                    if (documentData.getShortTitle() != null && documentData.getShortTitle() != "null") {
                        oPostData.put("SHORTTITLE",Jsoup.parse(documentData.getShortTitle()).text());
                    }
                    //ؼ
                    if (documentData.getKEYWORD() != null  && documentData.getKEYWORD() != "") {
                        String keyword = documentData.getKEYWORD();
                        keyword = keyword.replaceAll("<br/>", "");//
                        keyword = keyword.replaceAll("<br>", "");//
                        oPostData.put("DOCKEYWORDS", keyword);
                    }
                    //ʱ
                    if (documentData.getPublishedTime() != null) {
                        oPostData.put("DOCRELTIME", documentData.getPublishedTime());
                    }
                    //ʱ
                    if (documentData.getCREATED_TIME() != null) {
                        oPostData.put("CRTIME", documentData.getCREATED_TIME());
                    }
                    //Դ
                    if (documentData.getB_source() != null && documentData.getB_source() != "") {
                        oPostData.put("DOCSOURCENAME",documentData.getB_source());
                    }
                    //ժҪ
                    if (documentData.getMemo() != null && documentData.getMemo() != "") {
                        oPostData.put("DOCABSTRACT", documentData.getMemo());
                    }
                    if (documentData.getManuscriptId() != null) {
                        oPostData.put("oldDocid", documentData.getManuscriptId());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> getRelFileInfoByDocId = annex.getZhiXunFileInfoByDocId(documentData.getManuscriptId());
                            if( getRelFileInfoByDocId.get("docRelFile") != null){
                                oPostData.put("docRelFile", getRelFileInfoByDocId.get("docRelFile"));
                            }
                            if( getRelFileInfoByDocId.get("docRelPic") != null){
                                oPostData.put("docRelPic", getRelFileInfoByDocId.get("docRelPic"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    try {
                        // ͼƬ͸Ҫ⴦
                        if (documentData.getCurrentFilePathHtmlUrl()  != null) {
                            String  currentFilePathHtmlUrl = documentData.getCurrentFilePathHtmlUrl();
                            System.out.println("===================start=======================");
                            System.out.println(currentFilePathHtmlUrl);
                            JsoupUtilsView jsoupUtils = new JsoupUtilsView();
                            String html = jsoupUtils.rexStringHtml(currentFilePathHtmlUrl);
                            System.out.println("==============================================");
                            System.out.println(html);
                            System.out.println("===================end========================");
                            oPostData.put("DOCHTMLCON", html);
                        } else {
                            oPostData.put("DocHtmlCon", "&nbsp;");
                            oPostData.put("DOCCONTENT", "&nbsp;");
                        }
                    }catch (Exception e){
                        oPostData.put("DocHtmlCon", "&nbsp;");
                        oPostData.put("DOCCONTENT", "&nbsp;");
                        e.printStackTrace();
                    }
                    //ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                        oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());
                    }
                    try {
                        System.out.println(oPostData);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                    System.out.println("------------------------------------------------------------");
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
            Log_Exception.Error_txt("DataZhiXunByChannel error"+e.getMessage());
        } finally {

        }
    }

    /**
     * Ѷͼ - ĿǨ
     * @param kpChannelId
     * @param hyChannelId
     */
    public void DataZhiXunByChannelGetAllDoc(String kpChannelId,String hyChannelId){
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelId + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInWeb";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        List<Map<String, String>> mapAllDocs = serviceImplKp.GetAllDocCmsCarbonCopy(kpChannelId);
        for (Map<String, String> mapAllDoc : mapAllDocs) {
            String manuscript_id = mapAllDoc.get("MANUSCRIPT_ID");
            List<Map<String, Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromByMANUSCRIPT_ID(manuscript_id);
            System.out.println(allDocInfoFromKPDBdMaps);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    System.out.println("------------------------------------------------------------");
                    Map<String,Object> oPostData=new HashMap<>();
                    oPostData.put("ObjectId", 0);
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("isShenhe", "1");
                    oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_HTML);
                    DocumentData documentData = new DocumentData(map);
                    System.out.println(documentData);
                    //-
                    if (documentData.getTitle() != null && documentData.getTitle() != "null") {
                        oPostData.put("DOCTITLE", Jsoup.parse(documentData.getTitle()).text()  );
                    }
                    //
                    if (documentData.getSubTitle() != null && documentData.getSubTitle() != "null") {
                        oPostData.put("SUBDOCTITLE",Jsoup.parse(documentData.getSubTitle()).text() );
                    }
                    //̱
                    if (documentData.getShortTitle() != null && documentData.getShortTitle() != "null") {
                        oPostData.put("SHORTTITLE",Jsoup.parse(documentData.getShortTitle()).text());
                    }
                    //ؼ
                    if (documentData.getKEYWORD() != null  && documentData.getKEYWORD() != "") {
                        String keyword = documentData.getKEYWORD();
                        keyword = keyword.replaceAll("<br/>", "");//
                        keyword = keyword.replaceAll("<br>", "");//
                        oPostData.put("DOCKEYWORDS", keyword);
                    }
                    //ʱ
                    if (documentData.getPublishedTime() != null) {
                        oPostData.put("DOCRELTIME", documentData.getPublishedTime());
                    }
                    //ʱ
                    if (documentData.getCREATED_TIME() != null) {
                        oPostData.put("CRTIME", documentData.getCREATED_TIME());
                    }
                    //Դ
                    if (documentData.getB_source() != null && documentData.getB_source() != "") {
                        oPostData.put("DOCSOURCENAME",documentData.getB_source());
                    }
                    //ժҪ
                    if (documentData.getMemo() != null && documentData.getMemo() != "") {
                        oPostData.put("DOCABSTRACT", documentData.getMemo());
                    }
                    if (documentData.getManuscriptId() != null) {
                        oPostData.put("oldDocid", documentData.getManuscriptId());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> getRelFileInfoByDocId = annex.getZhiXunFileInfoByDocId(documentData.getManuscriptId());
                            if( getRelFileInfoByDocId.get("docRelFile") != null){
                                oPostData.put("docRelFile", getRelFileInfoByDocId.get("docRelFile"));
                            }
                            if( getRelFileInfoByDocId.get("docRelPic") != null){
                                oPostData.put("docRelPic", getRelFileInfoByDocId.get("docRelPic"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    try {
                        // ͼƬ͸Ҫ⴦
                        if (documentData.getCurrentFilePathHtmlUrl()  != null) {
                            String  currentFilePathHtmlUrl = documentData.getCurrentFilePathHtmlUrl();
                            System.out.println("===================start=======================");
                            System.out.println(currentFilePathHtmlUrl);
                            JsoupUtilsView jsoupUtils = new JsoupUtilsView();
                            String html = jsoupUtils.rexStringHtml(currentFilePathHtmlUrl);
                            System.out.println("==============================================");
                            System.out.println(html);
                            System.out.println("===================end========================");
                            oPostData.put("DOCHTMLCON", html);
                        } else {
                            oPostData.put("DocHtmlCon", "&nbsp;");
                            oPostData.put("DOCCONTENT", "&nbsp;");
                        }
                    }catch (Exception e){
                        oPostData.put("DocHtmlCon", "&nbsp;");
                        oPostData.put("DOCCONTENT", "&nbsp;");
                        e.printStackTrace();
                    }
                    /*//ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                        oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());
                    }*/
                    try {
                        System.out.println(oPostData);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                    System.out.println("------------------------------------------------------------");
                }
            }

        }


    }
    public void DataZhiXunByChannelGetAllDocUpdate(String kpChannelId,String hyChannelId){
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelId + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInWeb";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        List<Map<String, String>> mapAllDocs = serviceImplKp.GetAllDocCmsCarbonCopy(kpChannelId);
        for (Map<String, String> mapAllDoc : mapAllDocs) {
            String manuscript_id = mapAllDoc.get("MANUSCRIPT_ID");
            List<Map<String, Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromByMANUSCRIPT_ID(manuscript_id);
            System.out.println(allDocInfoFromKPDBdMaps);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    System.out.println("------------------------------------------------------------");
                    Map<String,Object> oPostData=new HashMap<>();
                    oPostData.put("ObjectId", 0);
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("isShenhe", "1");
                    oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_HTML);
                    DocumentData documentData = new DocumentData(map);

                    String manuscriptIdOldDocId = documentData.getManuscriptId();
                    if(manuscriptIdOldDocId != null && manuscriptIdOldDocId != ""){
                        //ѯƵdocid
                        String ObjectId = serviceImplKp.GetWcmMetaTableGovDocNewsMetaDataIdByOldDocId(manuscriptIdOldDocId,hyChannelId);
                        if(ObjectId != null && ObjectId != ""){
                            oPostData.put("ObjectId", ObjectId);
                            continue;
                        }
                    }
                    System.out.println(documentData);

                    System.out.println(documentData);
                    //-
                    if (documentData.getTitle() != null && documentData.getTitle() != "null") {
                        oPostData.put("DOCTITLE", Jsoup.parse(documentData.getTitle()).text()  );
                    }
                    //
                    if (documentData.getSubTitle() != null && documentData.getSubTitle() != "null") {
                        oPostData.put("SUBDOCTITLE",Jsoup.parse(documentData.getSubTitle()).text() );
                    }
                    //̱
                    if (documentData.getShortTitle() != null && documentData.getShortTitle() != "null") {
                        oPostData.put("SHORTTITLE",Jsoup.parse(documentData.getShortTitle()).text());
                    }
                    //ؼ
                    if (documentData.getKEYWORD() != null  && documentData.getKEYWORD() != "") {
                        String keyword = documentData.getKEYWORD();
                        keyword = keyword.replaceAll("<br/>", "");//
                        keyword = keyword.replaceAll("<br>", "");//
                        oPostData.put("DOCKEYWORDS", keyword);
                    }
                    //ʱ
                    if (documentData.getPublishedTime() != null) {
                        oPostData.put("DOCRELTIME", documentData.getPublishedTime());
                    }
                    //ʱ
                    if (documentData.getCREATED_TIME() != null) {
                        oPostData.put("CRTIME", documentData.getCREATED_TIME());
                    }
                    //Դ
                    if (documentData.getB_source() != null && documentData.getB_source() != "") {
                        oPostData.put("DOCSOURCENAME",documentData.getB_source());
                    }
                    //ժҪ
                    if (documentData.getMemo() != null && documentData.getMemo() != "") {
                        oPostData.put("DOCABSTRACT", documentData.getMemo());
                    }
                    if (documentData.getManuscriptId() != null) {
                        oPostData.put("oldDocid", documentData.getManuscriptId());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> getRelFileInfoByDocId = annex.getZhiXunFileInfoByDocId(documentData.getManuscriptId());
                            if( getRelFileInfoByDocId.get("docRelFile") != null){
                                oPostData.put("docRelFile", getRelFileInfoByDocId.get("docRelFile"));
                            }
                            if( getRelFileInfoByDocId.get("docRelPic") != null){
                                oPostData.put("docRelPic", getRelFileInfoByDocId.get("docRelPic"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    try {
                        // ͼƬ͸Ҫ⴦
                        if (documentData.getCurrentFilePathHtmlUrl()  != null) {
                            String  currentFilePathHtmlUrl = documentData.getCurrentFilePathHtmlUrl();
                            System.out.println("===================start=======================");
                            System.out.println(currentFilePathHtmlUrl);
                            JsoupUtilsView2 jsoupUtils = new JsoupUtilsView2();
                            String html = jsoupUtils.rexStringHtml(currentFilePathHtmlUrl);
                            System.out.println("==============================================");
                            System.out.println(html);
                            System.out.println("===================end========================");
                            oPostData.put("DOCHTMLCON", html);
                        } else {
                            oPostData.put("DocHtmlCon", "&nbsp;");
                            oPostData.put("DOCCONTENT", "&nbsp;");
                        }
                    }catch (Exception e){
                        oPostData.put("DocHtmlCon", "&nbsp;");
                        oPostData.put("DOCCONTENT", "&nbsp;");
                        e.printStackTrace();
                    }
                    //ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                       /* oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());*/
                    }
                    try {
                        System.out.println(oPostData);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                    System.out.println("------------------------------------------------------------");
                }
            }

        }
        //hyChannelIdݽ
        serviceImplKp.orderBy(hyChannelId);
    }

    /**
     * Ѷͼ - ĿǨ
     * @param kpChannelIdList,hyChannelId
     * @param hyChannelId
     */
    public void DataZhiXunByChannelGetAllDocAll(String []kpChannelIdList,String hyChannelId){
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelIdList + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInWeb";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        List<Map<String, String>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocCmsCarbonCopyAll(kpChannelIdList);
        if(allDocInfoFromKPDBdMaps!=null){
            int count=0;
            for (Map<String,String> map : allDocInfoFromKPDBdMaps) {
                System.out.println("------------------------------------------------------------");
                Map<String,Object> oPostData=new HashMap<>();
                oPostData.put("ObjectId", 0);
                oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                oPostData.put("CurrUserName", "dev");
                oPostData.put("isShenhe", "1");
                oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_HTML);
                DocumentDataStr documentData = new DocumentDataStr(map);
                System.out.println(documentData);
                //-
                if (documentData.getTitle() != null && documentData.getTitle() != "null") {
                    oPostData.put("DOCTITLE", Jsoup.parse(documentData.getTitle()).text()  );
                }
                //
                if (documentData.getSubTitle() != null && documentData.getSubTitle() != "null") {
                    oPostData.put("SUBDOCTITLE",Jsoup.parse(documentData.getSubTitle()).text() );
                }
                //̱
                if (documentData.getShortTitle() != null && documentData.getShortTitle() != "null") {
                    oPostData.put("SHORTTITLE",Jsoup.parse(documentData.getShortTitle()).text());
                }
                //ؼ
                if (documentData.getKEYWORD() != null  && documentData.getKEYWORD() != "") {
                    String keyword = documentData.getKEYWORD();
                    keyword = keyword.replaceAll("<br/>", "");//
                    keyword = keyword.replaceAll("<br>", "");//
                    oPostData.put("DOCKEYWORDS", keyword);
                }
                //ʱ
                if (documentData.getPublishedTime() != null) {
                    oPostData.put("DOCRELTIME", documentData.getPublishedTime());
                }
                //ʱ
                if (documentData.getCREATED_TIME() != null) {
                    oPostData.put("CRTIME", documentData.getCREATED_TIME());
                }
                //Դ
                if (documentData.getB_source() != null && documentData.getB_source() != "") {
                    oPostData.put("DOCSOURCENAME",documentData.getB_source());
                }
                //ժҪ
                if (documentData.getMemo() != null && documentData.getMemo() != "") {
                    oPostData.put("DOCABSTRACT", documentData.getMemo());
                }
                if (documentData.getManuscriptId() != null) {
                    oPostData.put("oldDocid", documentData.getManuscriptId());
                }
                //
                try {
                    if (documentData.getManuscriptId() != null) {
                        Map<String, Object> getRelFileInfoByDocId = annex.getZhiXunFileInfoByDocId(documentData.getManuscriptId());
                        if( getRelFileInfoByDocId.get("docRelFile") != null){
                            oPostData.put("docRelFile", getRelFileInfoByDocId.get("docRelFile"));
                        }
                        if( getRelFileInfoByDocId.get("docRelPic") != null){
                            oPostData.put("docRelPic", getRelFileInfoByDocId.get("docRelPic"));
                        }
                    }
                }catch (Exception e){
                    e.printStackTrace();
                }
                try {
                    // ͼƬ͸Ҫ⴦
                    if (documentData.getCurrentFilePathHtmlUrl()  != null) {
                        String  currentFilePathHtmlUrl = documentData.getCurrentFilePathHtmlUrl();
                        System.out.println("===================start=======================");
                        System.out.println(currentFilePathHtmlUrl);
                        JsoupUtilsView jsoupUtils = new JsoupUtilsView();
                        String html = jsoupUtils.rexStringHtml(currentFilePathHtmlUrl);
                        System.out.println("==============================================");
                        System.out.println(html);
                        System.out.println("===================end========================");
                        oPostData.put("DOCHTMLCON", html);
                    } else {
                        oPostData.put("DocHtmlCon", "&nbsp;");
                        oPostData.put("DOCCONTENT", "&nbsp;");
                    }
                }catch (Exception e){
                    oPostData.put("DocHtmlCon", "&nbsp;");
                    oPostData.put("DOCCONTENT", "&nbsp;");
                    e.printStackTrace();
                }
                //ѯǷضӣеͼ
                if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                   /* System.out.println(documentData.getREDIRECT_URL());
                    oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                    oPostData.put("DOCLINK", documentData.getREDIRECT_URL());*/
                }
                try {
                    System.out.println(oPostData);
                    Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                    count++;
                    if(result!=null){
                        JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                        if (rObject.get("ISSUCCESS").toString().equals("true")){
                            System.out.println("DOCTITLE:"+documentData.getTitle());
                            System.out.println("count:"+count);
                            System.out.println("oldDocid:"+documentData.getManuscriptId());
                            try {
                                //
                                String manuscriptId = documentData.getManuscriptId();
                                if(manuscriptId != null && manuscriptId != ""){
                                    ColumnMapping columnMapping = new ColumnMapping();
                                    columnMapping.ColumnMappingCheck(manuscriptId);
                                }
                            }catch (Exception ee){
                                ee.printStackTrace();
                            }
                        }else{
                            String serror = JSON.toJSONString(rObject);
                            System.out.println(serror);
                            outPrint(serror,documentData.getManuscriptId(),count);
                        }
                    }
                }catch(Exception e) {
                    outPrint("",documentData.getManuscriptId(),count);
                    e.printStackTrace();
                }
                System.out.println("------------------------------------------------------------");
            }
        }


    }
    /**
     * Ѷͼ - Ǩ
     * ϵͳĵid Ӧ ϵͳе oldDocid ȥѯӦĵӦdociddocidõӦObjectIdɸ
     *
     * @param kpChannelId
     * @param hyChannelId
     */
    public void DataZhiXunByChannelAddOrUpdate(String kpChannelId,String hyChannelId){
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelId + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInWeb";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        try {
            List<Map<String,Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromKPDB(kpChannelId);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    System.out.println("------------------------------------------------------------");
                    Map<String,Object> oPostData=new HashMap<>();

                    oPostData.put("ObjectId", 0);
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_HTML);
                    oPostData.put("isShenhe", "1");
                    DocumentData documentData = new DocumentData(map);
                    String manuscriptIdOldDocId = documentData.getManuscriptId();
                    if(manuscriptIdOldDocId != null && manuscriptIdOldDocId != ""){
                        //ѯƵdocid
                        String ObjectId = serviceImplKp.GetWcmMetaTableGovDocNewsMetaDataIdByOldDocId(manuscriptIdOldDocId,hyChannelId);
                        if(ObjectId != null && ObjectId != ""){
                            oPostData.put("ObjectId", ObjectId);
                        }
                    }
                    System.out.println(documentData);
                    //-
                    if (documentData.getTitle() != null && documentData.getTitle() != "null") {
                        oPostData.put("DOCTITLE", Jsoup.parse(documentData.getTitle()).text()  );
                    }
                    //
                    if (documentData.getSubTitle() != null && documentData.getSubTitle() != "null") {
                        oPostData.put("SUBDOCTITLE",Jsoup.parse(documentData.getSubTitle()).text() );
                    }
                    //̱
                    if (documentData.getShortTitle() != null && documentData.getShortTitle() != "null") {
                        oPostData.put("SHORTTITLE",Jsoup.parse(documentData.getShortTitle()).text());
                    }
                    //ؼ
                    if (documentData.getKEYWORD() != null  && documentData.getKEYWORD() != "") {
                        String keyword = documentData.getKEYWORD();
                        keyword = keyword.replaceAll("<br/>", "");//
                        keyword = keyword.replaceAll("<br>", "");//
                        oPostData.put("DOCKEYWORDS", keyword);
                    }
                    //ʱ
                    if (documentData.getPublishedTime() != null) {
                        oPostData.put("DOCRELTIME", documentData.getPublishedTime());
                    }
                    //ʱ
                    if (documentData.getCREATED_TIME() != null) {
                        oPostData.put("CRTIME", documentData.getCREATED_TIME());
                    }
                    //Դ
                    if (documentData.getB_source() != null && documentData.getB_source() != "") {
                        oPostData.put("DOCSOURCENAME",documentData.getB_source());
                    }
                    //ժҪ
                    if (documentData.getMemo() != null && documentData.getMemo() != "") {
                        oPostData.put("DOCABSTRACT", documentData.getMemo());
                    }
                    if (documentData.getManuscriptId() != null) {
                        oPostData.put("oldDocid", documentData.getManuscriptId());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> getRelFileInfoByDocId = annex.getZhiXunFileInfoByDocId(documentData.getManuscriptId());
                            if( getRelFileInfoByDocId.get("docRelFile") != null){
                                oPostData.put("docRelFile", getRelFileInfoByDocId.get("docRelFile"));
                            }
                            if( getRelFileInfoByDocId.get("docRelPic") != null){
                                oPostData.put("docRelPic", getRelFileInfoByDocId.get("docRelPic"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    try {
                        // ͼƬ͸Ҫ⴦
                        if (documentData.getCurrentFilePathHtmlUrl()  != null) {
                            String  currentFilePathHtmlUrl = documentData.getCurrentFilePathHtmlUrl();
                            System.out.println("===================start=======================");
                            System.out.println(currentFilePathHtmlUrl);
                            JsoupUtilsView jsoupUtils = new JsoupUtilsView();
                            String html = jsoupUtils.rexStringHtml(currentFilePathHtmlUrl);
                            System.out.println("==============================================");
                            System.out.println(html);
                            System.out.println("===================end========================");
                            oPostData.put("DOCHTMLCON", html);
                        } else {
                            oPostData.put("DocHtmlCon", "&nbsp;");
                            oPostData.put("DOCCONTENT", "&nbsp;");
                        }
                    }catch (Exception e){
                        oPostData.put("DocHtmlCon", "&nbsp;");
                        oPostData.put("DOCCONTENT", "&nbsp;");
                        e.printStackTrace();
                    }
                    //ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                        oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());
                    }
                    try {
                        System.out.println(oPostData);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);

                                try {
                                    oPostData.put("ObjectId", 0);
                                    Dispatch result1 = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                                }catch (Exception e1){

                                }
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                    System.out.println("------------------------------------------------------------");
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
            Log_Exception.Error_txt("DataZhiXunByChannel error"+e.getMessage());
        } finally {
        }
    }

    /**
     * Ѷͼ - Ǩ
     * ϵͳĵid Ӧ ϵͳе oldDocid ȥѯӦĵӦdociddocidõӦObjectIdɸ
     *
     * @param kpChannelId
     * @param hyChannelId
     */
    public void DataZhiXunByChannelAddOrUpdateNoUpdate(String kpChannelId,String hyChannelId){
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelId + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInWeb";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        try {
            List<Map<String,Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromKPDB(kpChannelId);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    System.out.println("------------------------------------------------------------");
                    Map<String,Object> oPostData=new HashMap<>();
                    oPostData.put("ObjectId", 0);
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_HTML);
                    oPostData.put("isShenhe", "1");
                    DocumentData documentData = new DocumentData(map);


                    String manuscriptIdOldDocId = documentData.getManuscriptId();
                    if(manuscriptIdOldDocId != null && manuscriptIdOldDocId != ""){
                        //ѯƵdocid
                        String ObjectId = serviceImplKp.GetWcmMetaTableGovDocNewsMetaDataIdByOldDocId(manuscriptIdOldDocId,hyChannelId);
                        System.out.println(ObjectId);
                        if(ObjectId != null && ObjectId != ""){
                            oPostData.put("ObjectId", ObjectId);
                            continue;
                        }
                    }
                    System.out.println(documentData);
                    //-
                    if (documentData.getTitle() != null && documentData.getTitle() != "null") {
                        oPostData.put("DOCTITLE", Jsoup.parse(documentData.getTitle()).text()  );
                    }
                    //
                    if (documentData.getSubTitle() != null && documentData.getSubTitle() != "null") {
                        oPostData.put("SUBDOCTITLE",Jsoup.parse(documentData.getSubTitle()).text() );
                    }
                    //̱
                    if (documentData.getShortTitle() != null && documentData.getShortTitle() != "null") {
                        oPostData.put("SHORTTITLE",Jsoup.parse(documentData.getShortTitle()).text());
                    }
                    //ؼ
                    if (documentData.getKEYWORD() != null  && documentData.getKEYWORD() != "") {
                        String keyword = documentData.getKEYWORD();
                        keyword = keyword.replaceAll("<br/>", "");//
                        keyword = keyword.replaceAll("<br>", "");//
                        oPostData.put("DOCKEYWORDS", keyword);
                    }
                    //ʱ
                    if (documentData.getPublishedTime() != null) {
                        oPostData.put("DOCRELTIME", documentData.getPublishedTime());
                    }
                    //ʱ
                    if (documentData.getCREATED_TIME() != null) {
                        oPostData.put("CRTIME", documentData.getCREATED_TIME());
                    }
                    //Դ
                    if (documentData.getB_source() != null && documentData.getB_source() != "") {
                        oPostData.put("DOCSOURCENAME",documentData.getB_source());
                    }
                    //ժҪ
                    if (documentData.getMemo() != null && documentData.getMemo() != "") {
                        oPostData.put("DOCABSTRACT", documentData.getMemo());
                    }
                    if (documentData.getManuscriptId() != null) {
                        oPostData.put("oldDocid", documentData.getManuscriptId());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> getRelFileInfoByDocId = annex.getZhiXunFileInfoByDocId(documentData.getManuscriptId());
                            if( getRelFileInfoByDocId.get("docRelFile") != null){
                                oPostData.put("docRelFile", getRelFileInfoByDocId.get("docRelFile"));
                            }
                            if( getRelFileInfoByDocId.get("docRelPic") != null){
                                oPostData.put("docRelPic", getRelFileInfoByDocId.get("docRelPic"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    try {
                        // ͼƬ͸Ҫ⴦
                        if (documentData.getCurrentFilePathHtmlUrl()  != null) {
                            String  currentFilePathHtmlUrl = documentData.getCurrentFilePathHtmlUrl();
                            System.out.println("===================start=======================");
                            System.out.println(currentFilePathHtmlUrl);
                            JsoupUtilsView2 jsoupUtils = new JsoupUtilsView2();
                            String html = jsoupUtils.rexStringHtml(currentFilePathHtmlUrl);
                            System.out.println("==============================================");
                            System.out.println(html);
                            System.out.println("===================end========================");
                            oPostData.put("DOCHTMLCON", html);
                        } else {
                            oPostData.put("DocHtmlCon", "&nbsp;");
                            oPostData.put("DOCCONTENT", "&nbsp;");
                        }
                    }catch (Exception e){
                        oPostData.put("DocHtmlCon", "&nbsp;");
                        oPostData.put("DOCCONTENT", "&nbsp;");
                        e.printStackTrace();
                    }
                    //ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                        oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());
                    }
                    try {
                        oPostData.put("isShenhe", "1");
                        System.out.println(oPostData);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);

                                try {
                                    oPostData.put("ObjectId", 0);
                                    Dispatch result1 = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                                }catch (Exception e1){

                                }
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                    System.out.println("------------------------------------------------------------");
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
            Log_Exception.Error_txt("DataZhiXunByChannel error"+e.getMessage());
        } finally {
        }
        //hyChannelIdݽ
        //serviceImplKp.orderBy(hyChannelId);
        DataZhiXunByChannelGetAllDocUpdate(kpChannelId,hyChannelId);
    }
    /**
     * Ѷͼ - ĿǨ
     * @param kpChannelId
     * @param hyChannelId
     */
    public void DataZhiXunByChannelGetAllDocAddOrUpdate(String kpChannelId,String hyChannelId){
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelId + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInWeb";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        List<Map<String, String>> mapAllDocs = serviceImplKp.GetAllDocCmsCarbonCopy(kpChannelId);
        for (Map<String, String> mapAllDoc : mapAllDocs) {
            String manuscript_id = mapAllDoc.get("MANUSCRIPT_ID");
            List<Map<String, Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromByMANUSCRIPT_ID(manuscript_id);
            System.out.println(allDocInfoFromKPDBdMaps);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    System.out.println("------------------------------------------------------------");
                    Map<String,Object> oPostData=new HashMap<>();
                    oPostData.put("ObjectId", 0);
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("isShenhe", "1");
                    oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_HTML);
                    DocumentData documentData = new DocumentData(map);
                    String manuscriptIdOldDocId = documentData.getManuscriptId();
                    if(manuscriptIdOldDocId != null && manuscriptIdOldDocId != ""){
                        //ѯƵdocid
                        String ObjectId = serviceImplKp.GetWcmMetaTableGovDocNewsMetaDataIdByOldDocId(manuscriptIdOldDocId,hyChannelId);
                        if(ObjectId != null && ObjectId != ""){
                            oPostData.put("ObjectId", ObjectId);
                        }
                    }
                    System.out.println(documentData);
                    //-
                    if (documentData.getTitle() != null && documentData.getTitle() != "null") {
                        oPostData.put("DOCTITLE", Jsoup.parse(documentData.getTitle()).text()  );
                    }
                    //
                    if (documentData.getSubTitle() != null && documentData.getSubTitle() != "null") {
                        oPostData.put("SUBDOCTITLE",Jsoup.parse(documentData.getSubTitle()).text() );
                    }
                    //̱
                    if (documentData.getShortTitle() != null && documentData.getShortTitle() != "null") {
                        oPostData.put("SHORTTITLE",Jsoup.parse(documentData.getShortTitle()).text());
                    }
                    //ؼ
                    if (documentData.getKEYWORD() != null  && documentData.getKEYWORD() != "") {
                        String keyword = documentData.getKEYWORD();
                        keyword = keyword.replaceAll("<br/>", "");//
                        keyword = keyword.replaceAll("<br>", "");//
                        oPostData.put("DOCKEYWORDS", keyword);
                    }
                    //ʱ
                    if (documentData.getPublishedTime() != null) {
                        oPostData.put("DOCRELTIME", documentData.getPublishedTime());
                    }
                    //ʱ
                    if (documentData.getCREATED_TIME() != null) {
                        oPostData.put("CRTIME", documentData.getCREATED_TIME());
                    }
                    //Դ
                    if (documentData.getB_source() != null && documentData.getB_source() != "") {
                        oPostData.put("DOCSOURCENAME",documentData.getB_source());
                    }
                    //ժҪ
                    if (documentData.getMemo() != null && documentData.getMemo() != "") {
                        oPostData.put("DOCABSTRACT", documentData.getMemo());
                    }
                    if (documentData.getManuscriptId() != null) {
                        oPostData.put("oldDocid", documentData.getManuscriptId());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> getRelFileInfoByDocId = annex.getZhiXunFileInfoByDocId(documentData.getManuscriptId());
                            if( getRelFileInfoByDocId.get("docRelFile") != null){
                                oPostData.put("docRelFile", getRelFileInfoByDocId.get("docRelFile"));
                            }
                            if( getRelFileInfoByDocId.get("docRelPic") != null){
                                oPostData.put("docRelPic", getRelFileInfoByDocId.get("docRelPic"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    try {
                        // ͼƬ͸Ҫ⴦
                        if (documentData.getCurrentFilePathHtmlUrl()  != null) {
                            String  currentFilePathHtmlUrl = documentData.getCurrentFilePathHtmlUrl();
                            System.out.println("===================start=======================");
                            System.out.println(currentFilePathHtmlUrl);
                            JsoupUtilsView jsoupUtils = new JsoupUtilsView();
                            String html = jsoupUtils.rexStringHtml(currentFilePathHtmlUrl);
                            System.out.println("==============================================");
                            System.out.println(html);
                            System.out.println("===================end========================");
                            oPostData.put("DOCHTMLCON", html);
                        } else {
                            oPostData.put("DocHtmlCon", "&nbsp;");
                            oPostData.put("DOCCONTENT", "&nbsp;");
                        }
                    }catch (Exception e){
                        oPostData.put("DocHtmlCon", "&nbsp;");
                        oPostData.put("DOCCONTENT", "&nbsp;");
                        e.printStackTrace();
                    }
                    /*//ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                        oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());
                    }*/
                    try {
                        System.out.println(oPostData);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                    System.out.println("------------------------------------------------------------");
                }
            }

        }
    }
    /**
     * 	񹫿
     * @param kpChannelId
     * @param hyChannelId
     */
    public void DataZWGKByChannel(String kpChannelId,String hyChannelId){
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelId + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInOpenData";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        try {
            List<Map<String,Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromKPDB(kpChannelId);
            System.out.println(allDocInfoFromKPDBdMaps);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    System.out.println("----------------------------"+map+"--------------------------------");
                    Map<String,Object> oPostData=new HashMap<>();
                    oPostData.put("ObjectId", 0);
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("isShenhe", "1");
                    oPostData.put("DOCTYPE",CMSConstants.CONTENT_BODY_HTML);
                    DocumentData documentData = new DocumentData(map);
                    System.out.println(documentData);
                    //-
                    if (documentData.getTitle() != null) {
                        oPostData.put("title",Jsoup.parse(documentData.getTitle()).text() );
                    }
                    // 
                    try {
                        // ͼƬ͸Ҫ⴦
                        if (documentData.getCurrentFilePathHtmlUrl() != null) {
                            String  currentFilePathHtmlUrl = documentData.getCurrentFilePathHtmlUrl();
                            JsoupUtilsView jsoupUtils = new JsoupUtilsView();
                            String html = jsoupUtils.rexStringHtml(currentFilePathHtmlUrl);
                            oPostData.put("UEDITOR", html);
                        } else {
                            oPostData.put("UEDITOR", "&nbsp;");
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    //ֺ
                    if (documentData.getC_WJBH() != null) {
                        oPostData.put("docno",documentData.getC_WJBH());
                    }
                    //ʱ
                    if (documentData.getC_FWRQ() != null) {
                        try {
                            Date date1 = new Date(Long.parseLong(documentData.getC_FWRQ()));
                            try {
                                LocalDateTime localDateTime = date1.toInstant().atZone(ZoneId.systemDefault()).toLocalDateTime();
                                LocalDateTime after8Hours = localDateTime.plusHours(8);
                                date1 = Date.from(after8Hours.atZone(ZoneId.systemDefault()).toInstant());
                            }catch (Exception e){
                                e.printStackTrace();
                            }
                            oPostData.put("scrq",simpleDateFormat.format(date1));
                        }catch (Exception e){
                            e.printStackTrace();
                        }
                    }
                    //ʱ
                    if (documentData.getPublishedTime() != null) {
                        Date parse = simpleDateFormat.parse(documentData.getPublishedTime());
                        oPostData.put("DocRelTime", simpleDateFormat.format(parse));
                    }
                    //ؼ
                    if (documentData.getKEYWORD() != null) {
                        String keyword = documentData.getKEYWORD();
                        keyword = keyword.replaceAll("<br/>", "");//
                        keyword = keyword.replaceAll("<br>", "");//
                        oPostData.put("DOCKEYWORDS", keyword);
                    }
                    //ժҪ
                    if (documentData.getMemo() != null) {
                        try {
                            oPostData.put("DOCABSTRACT","");
                        }catch (Exception e){
                            oPostData.put("DOCABSTRACT",documentData.getMemo());
                        }
                    }
                    //
                    if (documentData.getC_SYH() != null) {
                        oPostData.put("oldidxid",documentData.getC_SYH());
                    }
                    //Դ
                    if (documentData.getB_source() != null) {
                        oPostData.put("SOURCE", documentData.getB_source());
                    }
                    //ҳ
                    if (documentData.getShortTitle() != null) {
                        oPostData.put("SHORTTITLE",Jsoup.parse(documentData.getTitle()).text());
                    }
                    //
                    if (documentData.getSubTitle() != null) {
                        oPostData.put("SUB_TITLE",Jsoup.parse(documentData.getSubTitle()).text());
                    }
                    //ʱЧ
                    if (documentData.getC_GKSX() != null && documentData.getC_GKSX() != "") {
                        oPostData.put("validity",documentData.getC_GKSX());
                    }
                    //
                    if (documentData.getC_FBJG()  != null) {
                        String jg = documentData.getC_FBJG();
                        if(jg != null && jg != ""){
                            //ѯնӦƵĺ˵ķid
                            String kyid = serviceImplKp.GetKpFPJG(jg);
                            System.out.println("=====kyid======"+kyid);
                            if(kyid != "" && kyid != null){
                                oPostData.put("custcat",kyid);
                            }
                        }else{
                            oPostData.put("old_publish",documentData.getC_FBJG());
                        }
                    }
                    //
                    if (documentData.getC_FBJG()  != null) {
                        oPostData.put("ztword",documentData.getC_ZTC());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> zfggFileInfoByDocId = annex.getZWGKFileInfoByDocId(documentData.getManuscriptId());
                            System.out.println(zfggFileInfoByDocId);
                           /* if(zfggFileInfoByDocId.get("DOCRELPIC") != null){
                                oPostData.put("DOCRELPIC", zfggFileInfoByDocId.get("DOCRELPIC"));
                            }
                            if(zfggFileInfoByDocId.get("DOCATTACHFILEFIELD") != null){
                                oPostData.put("DOCATTACHFILEFIELD", zfggFileInfoByDocId.get("DOCATTACHFILEFIELD"));
                            }
                            if(zfggFileInfoByDocId.get("DOCATTACHPICFIELD") != null){
                                oPostData.put("DOCATTACHPICFIELD", zfggFileInfoByDocId.get("DOCATTACHPICFIELD"));
                            }
                            if(zfggFileInfoByDocId.get("DOCRELAPPENDIX") != null){
                                oPostData.put("DOCRELAPPENDIX", zfggFileInfoByDocId.get("DOCRELAPPENDIX"));
                            }*/
                            if(zfggFileInfoByDocId.get("qzbword") != null){
                                oPostData.put("qzbword", zfggFileInfoByDocId.get("qzbword"));
                            }
                            if(zfggFileInfoByDocId.get("wjyl") != null){
                                oPostData.put("wjyl", zfggFileInfoByDocId.get("wjyl"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    //ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                        oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());
                    }
                    try {
                        System.out.println("==============="+oPostData);
                        System.out.println("==============="+sMethodName);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                }

            }
        } catch (Exception e) {
            e.printStackTrace();
            Log_Exception.Error_txt("DataExchangeByChannel쳣"+e.getMessage());
        } finally {
        }
    }

    public void DataZhiXunByChannelOne(String hyChannelId,String manuscriptIdStr){
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInWeb";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        try {
            List<Map<String,Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromKPDBOne(manuscriptIdStr);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    System.out.println("------------------------------------------------------------");
                    Map<String,Object> oPostData=new HashMap<>();
                    oPostData.put("ObjectId", 0);
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("isShenhe", "1");
                    oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_HTML);
                    DocumentData documentData = new DocumentData(map);
                    System.out.println(documentData);
                    //-
                    if (documentData.getTitle() != null && documentData.getTitle() != "null") {
                        /*String text = Jsoup.parse(documentData.getTitle()).text();
                        int ff = text.indexOf("չ滮");
                        if(ff >= 0){
                            continue;
                        }*/
                        oPostData.put("DOCTITLE", Jsoup.parse(documentData.getTitle()).text()  );
                    }
                    //
                    if (documentData.getSubTitle() != null && documentData.getSubTitle() != "null") {
                        oPostData.put("SUBDOCTITLE",Jsoup.parse(documentData.getSubTitle()).text() );
                    }
                    //̱
                    if (documentData.getShortTitle() != null && documentData.getShortTitle() != "null") {
                        oPostData.put("SHORTTITLE",Jsoup.parse(documentData.getShortTitle()).text());
                    }
                    //ؼ
                    if (documentData.getKEYWORD() != null  && documentData.getKEYWORD() != "") {
                        String keyword = documentData.getKEYWORD();
                        keyword = keyword.replaceAll("<br/>", "");//
                        keyword = keyword.replaceAll("<br>", "");//
                        oPostData.put("DOCKEYWORDS", keyword);
                    }
                    //ʱ
                    if (documentData.getPublishedTime() != null) {
                        oPostData.put("DOCRELTIME", documentData.getPublishedTime());
                    }
                    //ʱ
                    if (documentData.getCREATED_TIME() != null) {
                        oPostData.put("CRTIME", documentData.getCREATED_TIME());
                    }
                    //Դ
                    if (documentData.getB_source() != null && documentData.getB_source() != "") {
                        oPostData.put("DOCSOURCENAME",documentData.getB_source());
                    }
                    //ժҪ
                    if (documentData.getMemo() != null && documentData.getMemo() != "") {
                        oPostData.put("DOCABSTRACT", documentData.getMemo());
                    }
                    if (documentData.getManuscriptId() != null) {
                        oPostData.put("oldDocid", documentData.getManuscriptId());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> getRelFileInfoByDocId = annex.getZhiXunFileInfoByDocId(documentData.getManuscriptId());
                            if( getRelFileInfoByDocId.get("docRelFile") != null){
                                oPostData.put("docRelFile", getRelFileInfoByDocId.get("docRelFile"));
                            }
                            if( getRelFileInfoByDocId.get("docRelPic") != null){
                                oPostData.put("docRelPic", getRelFileInfoByDocId.get("docRelPic"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    try {
                        // ͼƬ͸Ҫ⴦
                        if (documentData.getCurrentFilePathHtmlUrl()  != null) {
                            String  currentFilePathHtmlUrl = documentData.getCurrentFilePathHtmlUrl();
                            System.out.println("===================start=======================");
                            System.out.println(currentFilePathHtmlUrl);
                            JsoupUtilsView jsoupUtils = new JsoupUtilsView();
                            String html = jsoupUtils.rexStringHtml(currentFilePathHtmlUrl);
                            System.out.println("==============================================");
                            System.out.println(html);
                            System.out.println("===================end========================");
                            oPostData.put("DOCHTMLCON", html);
                        } else {
                            oPostData.put("DocHtmlCon", "&nbsp;");
                            oPostData.put("DOCCONTENT", "&nbsp;");
                        }
                    }catch (Exception e){
                        oPostData.put("DocHtmlCon", "&nbsp;");
                        oPostData.put("DOCCONTENT", "&nbsp;");
                        e.printStackTrace();
                    }
                    //ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                        oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());
                    }
                    try {
                        System.out.println(oPostData);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                    System.out.println("------------------------------------------------------------");
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
            Log_Exception.Error_txt("DataZhiXunByChannel error"+e.getMessage());
        } finally {

        }
    }
    /**
     * 	񹫿
     * @param kpChannelId
     * @param hyChannelId
     */
    public void DataZWGKByChannelByTitle(String kpChannelId,String hyChannelId,String viewName){
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelId + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInOpenData";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        try {
            List<Map<String,Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromKPDB(kpChannelId);
            System.out.println(allDocInfoFromKPDBdMaps);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    System.out.println("----------------------------"+map+"--------------------------------");
                    Map<String,Object> oPostData=new HashMap<>();
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("isShenhe", "1");
                    oPostData.put("DOCTYPE",CMSConstants.CONTENT_BODY_HTML);
                    DocumentData documentData = new DocumentData(map);
                    System.out.println(documentData);
                    //-
                    if (documentData.getTitle() != null) {
                        oPostData.put("title",Jsoup.parse(documentData.getTitle()).text() );
                        //ͨȥƵвѯMetaDataID
                        String MetaDataID =  serviceImplKp.getHyMetaDataIDByTitle(viewName,Jsoup.parse(documentData.getTitle()).text(),hyChannelId);
                        if(MetaDataID != null || MetaDataID == ""){
                            continue;
                        }

                        oPostData.put("ObjectId",MetaDataID);
                    }
                    // 
                    try {
                        // ͼƬ͸Ҫ⴦
                        if (documentData.getCurrentFilePathHtmlUrl() != null) {
                            String  currentFilePathHtmlUrl = documentData.getCurrentFilePathHtmlUrl();
                            JsoupUtilsView jsoupUtils = new JsoupUtilsView();
                            String html = jsoupUtils.rexStringHtml(currentFilePathHtmlUrl);
                            oPostData.put("UEDITOR", html);
                        } else {
                            oPostData.put("UEDITOR", "&nbsp;");
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    //ֺ
                    if (documentData.getC_WJBH() != null) {
                        oPostData.put("docno",documentData.getC_WJBH());
                    }
                    //ʱ
                    if (documentData.getC_FWRQ() != null) {
                        try {
                            Date date1 = new Date(Long.parseLong(documentData.getC_FWRQ()));
                            try {
                                LocalDateTime localDateTime = date1.toInstant().atZone(ZoneId.systemDefault()).toLocalDateTime();
                                LocalDateTime after8Hours = localDateTime.plusHours(8);
                                date1 = Date.from(after8Hours.atZone(ZoneId.systemDefault()).toInstant());
                            }catch (Exception e){
                                e.printStackTrace();
                            }
                            oPostData.put("scrq",simpleDateFormat.format(date1));
                        }catch (Exception e){
                            e.printStackTrace();
                        }
                    }
                    //ʱ
                    if (documentData.getPublishedTime() != null) {
                        Date parse = simpleDateFormat.parse(documentData.getPublishedTime());
                        long pubtime = parse.getTime();
                        Date date1 = new Date(pubtime);
                        try {
                            LocalDateTime localDateTime = date1.toInstant().atZone(ZoneId.systemDefault()).toLocalDateTime();
                            LocalDateTime after8Hours = localDateTime.plusHours(8);
                            date1 = Date.from(after8Hours.atZone(ZoneId.systemDefault()).toInstant());
                        }catch (Exception e){
                        }
                        oPostData.put("DocRelTime", simpleDateFormat.format(date1));
                    }
                    //ؼ
                    if (documentData.getKEYWORD() != null) {
                        String keyword = documentData.getKEYWORD();
                        keyword = keyword.replaceAll("<br/>", "");//
                        keyword = keyword.replaceAll("<br>", "");//
                        oPostData.put("DOCKEYWORDS", keyword);
                    }
                    //ժҪ
                    if (documentData.getMemo() != null) {
                        try {
                            oPostData.put("DOCABSTRACT","");
                        }catch (Exception e){
                            oPostData.put("DOCABSTRACT",documentData.getMemo());
                        }
                    }
                    //
                    if (documentData.getC_SYH() != null) {
                        oPostData.put("oldidxid",documentData.getC_SYH());
                    }
                    //Դ
                    if (documentData.getB_source() != null) {
                        oPostData.put("SOURCE", documentData.getB_source());
                    }
                    //ҳ
                    if (documentData.getShortTitle() != null) {
                        oPostData.put("SHORTTITLE",Jsoup.parse(documentData.getTitle()).text());
                    }
                    //
                    if (documentData.getSubTitle() != null) {
                        oPostData.put("SUB_TITLE",Jsoup.parse(documentData.getSubTitle()).text());
                    }
                    //ʱЧ
                    if (documentData.getC_GKSX() != null && documentData.getC_GKSX() != "") {
                        oPostData.put("validity",documentData.getC_GKSX());
                    }
                    //
                    if (documentData.getC_FBJG()  != null) {
                        String jg = documentData.getC_FBJG();
                        if(jg != null && jg != ""){
                            //ѯնӦƵĺ˵ķid
                            String kyid = serviceImplKp.GetKpFPJG(jg);
                            System.out.println("=====kyid======"+kyid);
                            if(kyid != "" && kyid != null){
                                oPostData.put("custcat",kyid);
                            }
                        }else{
                            oPostData.put("old_publish",documentData.getC_FBJG());
                        }
                    }
                    //
                    if (documentData.getC_FBJG()  != null) {
                        oPostData.put("ztword",documentData.getC_ZTC());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> zfggFileInfoByDocId = annex.getZWGKFileInfoByDocId(documentData.getManuscriptId());
                            System.out.println(zfggFileInfoByDocId);
                           /* if(zfggFileInfoByDocId.get("DOCRELPIC") != null){
                                oPostData.put("DOCRELPIC", zfggFileInfoByDocId.get("DOCRELPIC"));
                            }
                            if(zfggFileInfoByDocId.get("DOCATTACHFILEFIELD") != null){
                                oPostData.put("DOCATTACHFILEFIELD", zfggFileInfoByDocId.get("DOCATTACHFILEFIELD"));
                            }
                            if(zfggFileInfoByDocId.get("DOCATTACHPICFIELD") != null){
                                oPostData.put("DOCATTACHPICFIELD", zfggFileInfoByDocId.get("DOCATTACHPICFIELD"));
                            }
                            if(zfggFileInfoByDocId.get("DOCRELAPPENDIX") != null){
                                oPostData.put("DOCRELAPPENDIX", zfggFileInfoByDocId.get("DOCRELAPPENDIX"));
                            }*/
                            if(zfggFileInfoByDocId.get("qzbword") != null){
                                oPostData.put("qzbword", zfggFileInfoByDocId.get("qzbword"));
                            }
                            if(zfggFileInfoByDocId.get("wjyl") != null){
                                oPostData.put("wjyl", zfggFileInfoByDocId.get("wjyl"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    //ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                        oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());
                    }
                    try {
                        System.out.println("==============="+oPostData);
                        System.out.println("==============="+sMethodName);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                }

            }
        } catch (Exception e) {
            e.printStackTrace();
            Log_Exception.Error_txt("DataExchangeByChannel쳣"+e.getMessage());
        } finally {
        }
    }
    /**
     * 	񹫿-ֻǨһƪ
     * @param kpChannelId
     * @param hyChannelId
     */
    public void DataZWGKByChannelOne(String kpChannelId,String hyChannelId,String manuscriptIdStr){
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelId + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInOpenData";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        try {
            List<Map<String,Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromKPDBOne(kpChannelId,manuscriptIdStr);
            System.out.println(allDocInfoFromKPDBdMaps);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    System.out.println("----------------------------"+map+"--------------------------------");
                    Map<String,Object> oPostData=new HashMap<>();
                    oPostData.put("ObjectId", 0);
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("isShenhe", "1");
                    oPostData.put("DOCTYPE",CMSConstants.CONTENT_BODY_HTML);
                    DocumentData documentData = new DocumentData(map);
                    System.out.println(documentData);
                    //-
                    if (documentData.getTitle() != null) {
                        oPostData.put("title",Jsoup.parse(documentData.getTitle()).text() );
                    }
                    // 
                    try {
                        // ͼƬ͸Ҫ⴦
                        if (documentData.getCurrentFilePathHtmlUrl() != null) {
                            String  currentFilePathHtmlUrl = documentData.getCurrentFilePathHtmlUrl();
                            JsoupUtilsView jsoupUtils = new JsoupUtilsView();
                            String html = jsoupUtils.rexStringHtml(currentFilePathHtmlUrl);
                            oPostData.put("UEDITOR", html);
                        } else {
                            oPostData.put("UEDITOR", "&nbsp;");
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    //ֺ
                    if (documentData.getC_WJBH() != null) {
                        oPostData.put("docno",documentData.getC_WJBH());
                    }
                    //ʱ
                    if (documentData.getC_FWRQ() != null) {
                        try {
                            Date date1 = new Date(Long.parseLong(documentData.getC_FWRQ()));
                            try {
                                LocalDateTime localDateTime = date1.toInstant().atZone(ZoneId.systemDefault()).toLocalDateTime();
                                LocalDateTime after8Hours = localDateTime.plusHours(8);
                                date1 = Date.from(after8Hours.atZone(ZoneId.systemDefault()).toInstant());
                            }catch (Exception e){
                                e.printStackTrace();
                            }
                            oPostData.put("scrq",simpleDateFormat.format(date1));
                        }catch (Exception e){
                            e.printStackTrace();
                        }
                    }
                    //ʱ
                    if (documentData.getPublishedTime() != null) {
                        Date parse = simpleDateFormat.parse(documentData.getPublishedTime());
                        long pubtime = parse.getTime();
                        Date date1 = new Date(pubtime);
                        try {
                            LocalDateTime localDateTime = date1.toInstant().atZone(ZoneId.systemDefault()).toLocalDateTime();
                            LocalDateTime after8Hours = localDateTime.plusHours(8);
                            date1 = Date.from(after8Hours.atZone(ZoneId.systemDefault()).toInstant());
                        }catch (Exception e){
                        }
                        oPostData.put("DocRelTime", simpleDateFormat.format(date1));
                    }
                    //ؼ
                    if (documentData.getKEYWORD() != null) {
                        String keyword = documentData.getKEYWORD();
                        keyword = keyword.replaceAll("<br/>", "");//
                        keyword = keyword.replaceAll("<br>", "");//
                        oPostData.put("DOCKEYWORDS", keyword);
                    }
                    //ժҪ
                    if (documentData.getMemo() != null) {
                        try {
                            oPostData.put("DOCABSTRACT","");
                        }catch (Exception e){
                            oPostData.put("DOCABSTRACT",documentData.getMemo());
                        }
                    }
                    //
                    if (documentData.getC_SYH() != null) {
                        oPostData.put("oldidxid",documentData.getC_SYH());
                    }
                    //Դ
                    if (documentData.getB_source() != null) {
                        oPostData.put("SOURCE", documentData.getB_source());
                    }
                    //ҳ
                    if (documentData.getShortTitle() != null) {
                        oPostData.put("SHORTTITLE",Jsoup.parse(documentData.getTitle()).text());
                    }
                    //
                    if (documentData.getSubTitle() != null) {
                        oPostData.put("SUB_TITLE",Jsoup.parse(documentData.getSubTitle()).text());
                    }
                    //ʱЧ
                    if (documentData.getC_GKSX() != null && documentData.getC_GKSX() != "") {
                        oPostData.put("validity",documentData.getC_GKSX());
                    }
                    //
                    if (documentData.getC_FBJG()  != null) {
                        String jg = documentData.getC_FBJG();
                        if(jg != null && jg != ""){
                            //ѯնӦƵĺ˵ķid
                            String kyid = serviceImplKp.GetKpFPJG(jg);
                            System.out.println("=====kyid======"+kyid);
                            if(kyid != "" && kyid != null){
                                oPostData.put("custcat",kyid);
                            }
                        }else{
                            oPostData.put("old_publish",documentData.getC_FBJG());
                        }
                    }
                    //
                    if (documentData.getC_FBJG()  != null) {
                        oPostData.put("ztword",documentData.getC_ZTC());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> zfggFileInfoByDocId = annex.getZWGKFileInfoByDocId(documentData.getManuscriptId());
                            System.out.println(zfggFileInfoByDocId);
                           /* if(zfggFileInfoByDocId.get("DOCRELPIC") != null){
                                oPostData.put("DOCRELPIC", zfggFileInfoByDocId.get("DOCRELPIC"));
                            }
                            if(zfggFileInfoByDocId.get("DOCATTACHFILEFIELD") != null){
                                oPostData.put("DOCATTACHFILEFIELD", zfggFileInfoByDocId.get("DOCATTACHFILEFIELD"));
                            }
                            if(zfggFileInfoByDocId.get("DOCATTACHPICFIELD") != null){
                                oPostData.put("DOCATTACHPICFIELD", zfggFileInfoByDocId.get("DOCATTACHPICFIELD"));
                            }
                            if(zfggFileInfoByDocId.get("DOCRELAPPENDIX") != null){
                                oPostData.put("DOCRELAPPENDIX", zfggFileInfoByDocId.get("DOCRELAPPENDIX"));
                            }*/
                            if(zfggFileInfoByDocId.get("qzbword") != null){
                                oPostData.put("qzbword", zfggFileInfoByDocId.get("qzbword"));
                            }
                            if(zfggFileInfoByDocId.get("wjyl") != null){
                                oPostData.put("wjyl", zfggFileInfoByDocId.get("wjyl"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    //ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                        oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());
                    }
                    try {
                        System.out.println("==============="+oPostData);
                        System.out.println("==============="+sMethodName);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                }

            }
        } catch (Exception e) {
            e.printStackTrace();
            Log_Exception.Error_txt("DataExchangeByChannel쳣"+e.getMessage());
        } finally {
        }
    }
    /**
     * 	
     * @param kpChannelId
     * @param hyChannelId
     */
    public void DataZFGBByChannel(String kpChannelId,String hyChannelId){
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelId + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInOpenData";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        try {
            List<Map<String,Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromKPDB(kpChannelId);
            System.out.println(allDocInfoFromKPDBdMaps);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    Map<String,Object> oPostData=new HashMap<>();
                    oPostData.put("ObjectId", 0);
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("DOCTYPE",CMSConstants.CONTENT_BODY_HTML);
                    DocumentData documentData = new DocumentData(map);
                    oPostData.put("isShenhe", "1");
                    //-
                    if (documentData.getTitle() != null) {
                        oPostData.put("gbbt", Jsoup.parse(documentData.getTitle()).text());
                    }
                    try {
                        // ͼƬ͸Ҫ⴦
                        if (documentData.getCurrentFilePathHtmlUrl() != null) {
                            String  currentFilePathHtmlUrl = documentData.getCurrentFilePathHtmlUrl();
                            JsoupUtils jsoupUtils = new JsoupUtils();
                            String html = jsoupUtils.rexStringHtml(currentFilePathHtmlUrl);
                            oPostData.put("nrzw", html);
                        } else {
                            oPostData.put("nrzw", "&nbsp;");
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    if (documentData.getC_FBJG() != null) {
                        oPostData.put("fwdw", documentData.getC_FBJG());
                    }
                    if (documentData.getPublishedTime()  != null ) {
                        oPostData.put("fbsj", documentData.getPublishedTime());
                    }
                    //ؼ
                    if (documentData.getKEYWORD() != null) {
                        String keyword = documentData.getKEYWORD();
                        keyword = keyword.replaceAll("<br/>", "");//
                        keyword = keyword.replaceAll("<br>", "");//
                        oPostData.put("gjc", keyword);
                    }
                    //ժҪ
                    if (documentData.getMemo() != null) {
                        oPostData.put("DOCABSTRACT", documentData.getMemo());
                    }
                    //
                    if (documentData.getC_SYH() != null) {
                        oPostData.put("zy", documentData.getC_SYH());
                    }

                    //
                    if (documentData.getSubTitle() != null) {
                        oPostData.put("fbt",Jsoup.parse(documentData.getSubTitle()).text());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> getRelFileInfoByDocId = annex.getZFGGFileInfoByDocId(documentData.getManuscriptId());
                            if( getRelFileInfoByDocId.get("GBFL") != null){
                                oPostData.put("GBFL", getRelFileInfoByDocId.get("GBFL"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    //ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                        oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());
                    }
                    try {
                        System.out.println(oPostData);
                        System.out.println(sMethodName);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
            Log_Exception.Error_txt("DataExchangeByChannel error"+e.getMessage());
        } finally {

        }
    }
    /**
     * 	ȫ
     * @param kpChannelId
     * @param hyChannelId
     */
    public void DataZFGBBQZByChannel(String kpChannelId,String hyChannelId){
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelId + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInOpenData";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        try {
            List<Map<String,Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromKPDB(kpChannelId);
            System.out.println(allDocInfoFromKPDBdMaps);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    Map<String,Object> oPostData=new HashMap<>();
                    oPostData.put("ObjectId", 0);
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("DOCTYPE",CMSConstants.CONTENT_BODY_HTML);
                    DocumentData documentData = new DocumentData(map);
                    oPostData.put("isShenhe", "1");
                    //-
                    if (documentData.getTitle() != null) {
                        oPostData.put("title", Jsoup.parse(documentData.getTitle()).text());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> getRelFileInfoByDocId = annex.getZFGGQZBFileInfoByDocId(documentData.getManuscriptId());
                            if( getRelFileInfoByDocId.get("qzb") != null){
                                oPostData.put("qzb", getRelFileInfoByDocId.get("qzb"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    //ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                        oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());
                    }
                    try {
                        System.out.println(oPostData);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
            Log_Exception.Error_txt("DataExchangeByChannel error"+e.getMessage());
        } finally {

        }
    }
    /**
     * 	ȫ
     * @param kpChannelId
     * @param hyChannelId
     */
    public void DataZFGBBQZByChannelOne(String kpChannelId,String hyChannelId,String manuscriptIdStr){
        Log_Exception.Logger_txt("-------Start-------kpChannelId:" + kpChannelId + "--hyChannelId:" + hyChannelId + "---------Start--------");
        String sServiceId = "gov_webdocument";
        String sMethodName = "saveDocumentInOpenData";//Զͼ
        ServiceImplKp serviceImplKp=new ServiceImplKp();
        Annex annex = new Annex();
        try {
            List<Map<String,Object>> allDocInfoFromKPDBdMaps = serviceImplKp.GetAllDocInfoFromKPDBOne(kpChannelId,manuscriptIdStr);
            System.out.println(allDocInfoFromKPDBdMaps);
            if(allDocInfoFromKPDBdMaps!=null){
                int count=0;
                for (Map<String,Object> map : allDocInfoFromKPDBdMaps) {
                    Map<String,Object> oPostData=new HashMap<>();
                    oPostData.put("ObjectId", 0);
                    oPostData.put("ChannelId", Integer.parseInt(hyChannelId));// ĿĿid
                    oPostData.put("CurrUserName", "dev");
                    oPostData.put("DOCTYPE",CMSConstants.CONTENT_BODY_HTML);
                    DocumentData documentData = new DocumentData(map);
                    oPostData.put("isShenhe", "1");
                    //-
                    if (documentData.getTitle() != null) {
                        oPostData.put("title", Jsoup.parse(documentData.getTitle()).text());
                    }
                    //
                    try {
                        if (documentData.getManuscriptId() != null) {
                            Map<String, Object> getRelFileInfoByDocId = annex.getZFGGQZBFileInfoByDocId(documentData.getManuscriptId());
                            if( getRelFileInfoByDocId.get("qzb") != null){
                                oPostData.put("qzb", getRelFileInfoByDocId.get("qzb"));
                            }
                        }
                    }catch (Exception e){
                        e.printStackTrace();
                    }
                    //ѯǷضӣеͼ
                    if (documentData.getREDIRECT_URL() != null && documentData.getREDIRECT_URL() != "") {
                        oPostData.put("DOCTYPE", CMSConstants.CONTENT_BODY_LINK);
                        oPostData.put("DOCLINK", documentData.getREDIRECT_URL());
                    }
                    try {
                        System.out.println(oPostData);
                        Dispatch result = WCMServiceCaller.Call(sServiceId, sMethodName, oPostData, true);
                        count++;
                        if(result!=null){
                            JSONObject rObject = JSONObject.fromObject(result.getResponseText().toString());
                            if (rObject.get("ISSUCCESS").toString().equals("true")){
                                System.out.println("DOCTITLE:"+documentData.getTitle());
                                System.out.println("count:"+count);
                                System.out.println("oldDocid:"+documentData.getManuscriptId());
                                try {
                                    //
                                    String manuscriptId = documentData.getManuscriptId();
                                    if(manuscriptId != null && manuscriptId != ""){
                                        ColumnMapping columnMapping = new ColumnMapping();
                                        columnMapping.ColumnMappingCheck(manuscriptId);
                                    }
                                }catch (Exception ee){
                                    ee.printStackTrace();
                                }
                            }else{
                                String serror = JSON.toJSONString(rObject);
                                System.out.println(serror);
                                outPrint(serror,documentData.getManuscriptId(),count);
                            }
                        }
                    }catch(Exception e) {
                        outPrint("",documentData.getManuscriptId(),count);
                        e.printStackTrace();
                    }
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
            Log_Exception.Error_txt("DataExchangeByChannel error"+e.getMessage());
        } finally {

        }
    }

    public void outPrint(String serror,String ManuscriptId,int count){
        try (
                BufferedWriter writer = new BufferedWriter(new FileWriter(ColumnConfig.outPrintFile,true))
        )
        {
            writer.write(serror+","+ManuscriptId+","+count+",");
            writer.newLine(); // 
        } catch (IOException e1) {
            e1.printStackTrace();
        }
    }

    public String getJg(String jgmc)
    {

        String code = null;
        List<DemoDataJiGou> list = new ArrayList<>();
        EasyExcel.read(ColumnConfig.fileName, DemoDataJiGou.class, new PageReadListener<DemoDataJiGou>(dataList -> {
            for (DemoDataJiGou demoDataJiGou : dataList) {
                String jgName = demoDataJiGou.getJgName();
                if(jgName != null && jgName != ""){
                    list.add(demoDataJiGou);
                }
            }
        })).sheet().doRead();
        for (DemoDataJiGou demoDataJiGou : list) {
            if(demoDataJiGou.getJgName().equals(jgmc)){
                code = demoDataJiGou.getCode();
            }
        }
        return code;
    }
}
